package uca.baptistearthur.geocaching.ui.activity

import android.os.Bundle
import androidx.appcompat.app.AppCompatActivity
import androidx.fragment.app.Fragment
import com.google.android.material.bottomnavigation.BottomNavigationView
import uca.baptistearthur.geocaching.R
import uca.baptistearthur.geocaching.ui.fragment.Map
import uca.baptistearthur.geocaching.ui.fragment.RoadTrip

class MainWindow: AppCompatActivity() {
    override fun onCreate(savedInstanceState: Bundle?) {

        val map = Map()

        super.onCreate(savedInstanceState)
        setContentView(R.layout.main_window)

        loadFragment(Map())
        val navigation = findViewById<BottomNavigationView>(R.id.bottom_navigation)
        navigation.selectedItemId= R.id.map
        navigation.setOnItemSelectedListener {
            when (it.itemId) {
                R.id.map -> {
                    loadFragment(map)
                    true
                }
                R.id.roadTrip -> {
                    loadFragment(RoadTrip())
                    true
                }
                else -> false
            }
        }
    }
    private fun loadFragment(fragment: Fragment){
        val transaction = supportFragmentManager.beginTransaction()
        transaction.replace(R.id.fragment_container, fragment)
        transaction.commit()
    }

}