package uca.baptistearthur.geocaching.ui.overlay

import android.view.MotionEvent
import org.osmdroid.bonuspack.routing.OSRMRoadManager
import org.osmdroid.bonuspack.routing.RoadManager
import org.osmdroid.util.GeoPoint
import org.osmdroid.views.MapView
import org.osmdroid.views.overlay.Marker

class PlaceMarker(val mapView: MapView, val locations: MutableSet<GeoPoint>, val parent : AddMarkerOverlay) : Marker(mapView) {

    override fun onLongPress(e: MotionEvent?, mapView: MapView?): Boolean {
        if(mapView!=null && this.hitTest(e, mapView)) {
            locations.remove(this.position)
            this.closeInfoWindow()
            mapView.overlays.remove(this)
            parent.computeRoad(mapView);
            return true
        }
        return false
    }
}